Bug 520965 - Consider renaming PackageKit-debuginfo-install to PackageKit-debug-install
Summary: Consider renaming PackageKit-debuginfo-install to PackageKit-debug-install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 22:45 UTC by Jesse Keating
Modified: 2013-01-10 03:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 12:44:40 UTC
Type: ---


Attachments (Terms of Use)

Description Jesse Keating 2009-09-02 22:45:39 UTC
The compose tools get tripped up on the name of this and think that "PackageKit-debuginfo-install" is actually a debuginfo package, and it gets put in the debuginfo repo.  This is because we have some packages with names like "foo-debuginfo-common" and then various sub-debuginfo packages thereof, so just searching for packages that end in -debuginfo won't work.  We could work harder on a regex to avoid the PackageKit package, but I wanted to start with a request to rename the subpackage.

Comment 1 Richard Hughes 2009-09-03 06:58:01 UTC
Sure, fine with me. If you rename the subpackage in PackageKit.spec, just ensure you obsolete the old PackageKit-debuginfo-install subpackage too.

Comment 2 Matthias Clasen 2009-09-03 12:44:40 UTC
Ok, I've done it.


Note You need to log in before you can comment on or make changes to this bug.